Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_LocalObject Class Reference

`#include <LocalObject.h>`

Inheritance diagram for CORBA_LocalObject:

[legend]
Collaboration diagram for CORBA_LocalObject:

[legend]
List of all members.

## Public Types
typedef CORBA_LocalObject_ptr | _ptr_type
| Useful for template programming. More...
typedef CORBA_LocalObject_var | _var_type
## Public Methods
virtual | ~CORBA_LocalObject (void)
| Destructor. More...
virtual CORBA::Boolean | _non_existent (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Always returns false. More...
virtual CORBA::ImplementationDef_ptr | _get_implementation (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT. More...
virtual CORBA_InterfaceDef_ptr | _get_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Gets info about object from the Interface Repository. More...
virtual void | _create_request (CORBA::Context_ptr ctx, const CORBA::Char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::Request_ptr &request, CORBA::Flags req_flags ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws NO_IMPLEMENT. More...
virtual void | _create_request (CORBA::Context_ptr ctx, const CORBA::Char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::ExceptionList_ptr exclist, CORBA::ContextList_ptr ctxtlist, CORBA::Request_ptr &request, CORBA::Flags req_flags ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Request_ptr | _request (const CORBA::Char *operation ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws NO_IMPLEMENT. More...
CORBA::Policy_ptr | _get_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT. More...
CORBA::Policy_ptr | _get_client_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT. More...
CORBA::Object_ptr | _set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT. More...
CORBA::PolicyList * | _get_policy_overrides (const CORBA::PolicyTypeSeq &types ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT. More...
CORBA::Boolean | _validate_connection (CORBA::PolicyList_out inconsistent_policies ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Throws CORBA::NO_IMPLEMENT. More...
virtual CORBA::ULong | _hash (CORBA::ULong maximum ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual CORBA::Boolean | _is_equivalent (CORBA_Object_ptr other_obj ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ()
virtual void | _add_ref (void)
| Increment the reference count. More...
virtual void | _remove_ref (void)
| Decrement the reference count. More...
virtual TAO_ObjectKey * | _key (ACE_ENV_SINGLE_ARG_DECL)
| Throws CORBA::NO_IMPLEMENT. More...
## Static Public Methods
CORBA_LocalObject_ptr | _duplicate (CORBA_LocalObject_ptr obj)
| Increment the ref count. More...
CORBA_LocalObject_ptr | _nil (void)
| Return a NIL object. More...
CORBA_LocalObject_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
CORBA_LocalObject_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates. More...
## Protected Methods
| CORBA_LocalObject (void)
| Default constructor. More...
## Private Methods
Unimplemented methods
| CORBA_LocalObject (const CORBA_LocalObject &)
CORBA_LocalObject & | operator= (const CORBA_LocalObject &)

## Detailed Description

Note:
  NW: It is not clear whether minimum CORBA should support LocalObject or not. I think it should.

## Member Typedef Documentation

typedef CORBA_LocalObject_ptr CORBA_LocalObject::_ptr_type

| Useful for template programming. Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

typedef CORBA_LocalObject_var CORBA_LocalObject::_var_type

| Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

## Constructor & Destructor Documentation

CORBA_LocalObject::~CORBA_LocalObject | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE CORBA_LocalObject::CORBA_LocalObject | ( | void |  | ) | `[protected]`

| Default constructor. Make it protected to prevent instantiation of this class.

CORBA_LocalObject::CORBA_LocalObject | ( | const CORBA_LocalObject & |  | ) | `[private]`

## Member Function Documentation

void CORBA_LocalObject::_add_ref | ( | void |  | ) | `[virtual]`

| Increment the reference count. Reimplemented from CORBA_Object. Reimplemented in TAO_Local_RefCounted_Object.

void CORBA_LocalObject::_create_request | ( | CORBA::Context_ptr | ctx,
|  | const CORBA::Char * | operation,
|  | CORBA::NVList_ptr | arg_list,
|  | CORBA::NamedValue_ptr | result,
|  | CORBA::ExceptionList_ptr | exclist,
|  | CORBA::ContextList_ptr | ctxtlist,
|  | CORBA::Request_ptr & | request,
|  | CORBA::Flags | ACE_ENV_ARG_DECL
| ) | `[virtual]`

void CORBA_LocalObject::_create_request | ( | CORBA::Context_ptr | ctx,
|  | const CORBA::Char * | operation,
|  | CORBA::NVList_ptr | arg_list,
|  | CORBA::NamedValue_ptr | result,
|  | CORBA::Request_ptr & | request,
|  | CORBA::Flags | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Throws NO_IMPLEMENT.

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject::_duplicate | ( | CORBA_LocalObject_ptr | obj | ) | `[static]`

| Increment the ref count.

CORBA::Policy_ptr CORBA_LocalObject::_get_client_policy | ( | CORBA::PolicyType | ACE_ENV_ARG_DECL | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA::ImplementationDef_ptr CORBA_LocalObject::_get_implementation | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA_InterfaceDef_ptr CORBA_LocalObject::_get_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Gets info about object from the Interface Repository. Reimplemented from CORBA_Object.

CORBA::Policy_ptr CORBA_LocalObject::_get_policy | ( | CORBA::PolicyType | ACE_ENV_ARG_DECL | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA::PolicyList* CORBA_LocalObject::_get_policy_overrides | ( | const CORBA::PolicyTypeSeq &types | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA::ULong CORBA_LocalObject::_hash | ( | CORBA::ULong maximum | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Return a hash value for this object. The hash is based on the address of the object. On non-32 bit platforms, the hash may be non-unique. Reimplemented from CORBA_Object.

CORBA::Boolean CORBA_LocalObject::_is_equivalent | ( | CORBA_Object_ptr other_obj | ACE_ENV_ARG_DECL_NOT_USED | ) | throw ()`[virtual]`

| Try to determine if this object is the same as <other_obj>. This method relies on the representation of the object reference's private state. Since that changes easily (when different ORB protocols are in use) there is no default implementation.

TAO_ObjectKey * CORBA_LocalObject::_key | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA_LocalObject_ptr CORBA_LocalObject::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL | ) | `[static]`

| @ Narrowing a CORBA_LocalObject to a CORBA_Object is broken right now. The solution seems to be making CORBA_Object an abstract base class and create a CORBA_RemoteObject for regular object. Or, even easier, add a <is_local> member into CORBA_Object. I'll take the easier route for now. Reimplemented in TAO_ORBInitInfo.

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject::_nil | ( | void |  | ) | `[static]`

| Return a NIL object. Reimplemented from CORBA_Object. Reimplemented in TAO_ORBInitInfo.

CORBA::Boolean CORBA_LocalObject::_non_existent | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[virtual]`

| Always returns false. Reimplemented from CORBA_Object.

void CORBA_LocalObject::_remove_ref | ( | void |  | ) | `[virtual]`

| Decrement the reference count. Reimplemented from CORBA_Object. Reimplemented in TAO_Local_RefCounted_Object.

virtual CORBA::Request_ptr CORBA_LocalObject::_request | ( | const CORBA::Char *operation | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Throws NO_IMPLEMENT.

CORBA::Object_ptr CORBA_LocalObject::_set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType | ACE_ENV_ARG_DECL
| ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA_LocalObject_ptr CORBA_LocalObject::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented in TAO_ORBInitInfo.

CORBA::Boolean CORBA_LocalObject::_validate_connection | ( | CORBA::PolicyList_out | ACE_ENV_ARG_DECL | ) |

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA_LocalObject& CORBA_LocalObject::operator= | ( | const CORBA_LocalObject & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- LocalObject.h
- LocalObject.cpp
- LocalObject.i